| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
wxRect2DInt Class Reference

`#include <wx/geometry.h>`

## Public Member Functions

| wxRect2DInt ()
| wxRect2DInt (const wxRect &r)
| wxRect2DInt (wxInt32 x, wxInt32 y, wxInt32 w, wxInt32 h)
| wxRect2DInt (const wxPoint2DInt &topLeft, const wxPoint2DInt &bottomRight)
| wxRect2DInt (const wxPoint2DInt &pos, const wxSize &size)
| wxRect2DInt (const wxRect2DInt &rect)
wxPoint2DInt | GetPosition () const
wxSize | GetSize () const
wxInt32 | GetLeft () const
void | SetLeft (wxInt32 n)
void | MoveLeftTo (wxInt32 n)
wxInt32 | GetTop () const
void | SetTop (wxInt32 n)
void | MoveTopTo (wxInt32 n)
wxInt32 | GetBottom () const
void | SetBottom (wxInt32 n)
void | MoveBottomTo (wxInt32 n)
wxInt32 | GetRight () const
void | SetRight (wxInt32 n)
void | MoveRightTo (wxInt32 n)
wxPoint2DInt | GetLeftTop () const
void | SetLeftTop (const wxPoint2DInt &pt)
void | MoveLeftTopTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetLeftBottom () const
void | SetLeftBottom (const wxPoint2DInt &pt)
void | MoveLeftBottomTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetRightTop () const
void | SetRightTop (const wxPoint2DInt &pt)
void | MoveRightTopTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetRightBottom () const
void | SetRightBottom (const wxPoint2DInt &pt)
void | MoveRightBottomTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetCentre () const
void | SetCentre (const wxPoint2DInt &pt)
void | MoveCentreTo (const wxPoint2DInt &pt)
wxOutCode | GetOutCode (const wxPoint2DInt &pt) const
wxOutCode | GetOutcode (const wxPoint2DInt &pt) const
bool | Contains (const wxPoint2DInt &pt) const
bool | Contains (const wxRect2DInt &rect) const
bool | IsEmpty () const
bool | HaveEqualSize (const wxRect2DInt &rect) const
void | Inset (wxInt32 x, wxInt32 y)
void | Inset (wxInt32 left, wxInt32 top, wxInt32 right, wxInt32 bottom)
void | Offset (const wxPoint2DInt &pt)
void | ConstrainTo (const wxRect2DInt &rect)
wxPoint2DInt | Interpolate (wxInt32 widthfactor, wxInt32 heightfactor)
void | Intersect (const wxRect2DInt &otherRect)
wxRect2DInt | CreateIntersection (const wxRect2DInt &otherRect) const
bool | Intersects (const wxRect2DInt &rect) const
void | Union (const wxRect2DInt &otherRect)
void | Union (const wxPoint2DInt &pt)
wxRect2DInt | CreateUnion (const wxRect2DInt &otherRect) const
void | Scale (wxInt32 f)
void | Scale (wxInt32 num, wxInt32 denum)
wxRect2DInt & | operator= (const wxRect2DInt &rect)
bool | operator== (const wxRect2DInt &rect) const
bool | operator!= (const wxRect2DInt &rect) const

## Static Public Member Functions

static void | Intersect (const wxRect2DInt &src1, const wxRect2DInt &src2, wxRect2DInt *dest)
static void | Union (const wxRect2DInt &src1, const wxRect2DInt &src2, wxRect2DInt *dest)

## Public Attributes

wxInt32 | m_x
wxInt32 | m_y
wxInt32 | m_width
wxInt32 | m_height

## Constructor & Destructor Documentation

wxRect2DInt::wxRect2DInt | ( |  | ) |

wxRect2DInt::wxRect2DInt | ( | const wxRect & | r | ) |

wxRect2DInt::wxRect2DInt | ( | wxInt32 | x,
|  | wxInt32 | y,
|  | wxInt32 | w,
|  | wxInt32 | h
| ) |  |

wxRect2DInt::wxRect2DInt | ( | const wxPoint2DInt & | topLeft,
|  | const wxPoint2DInt & | bottomRight
| ) |  |

wxRect2DInt::wxRect2DInt | ( | const wxPoint2DInt & | pos,
|  | const wxSize & | size
| ) |  |

wxRect2DInt::wxRect2DInt | ( | const wxRect2DInt & | rect | ) |

## Member Function Documentation

void wxRect2DInt::ConstrainTo | ( | const wxRect2DInt & | rect | ) |

bool wxRect2DInt::Contains | ( | const wxPoint2DInt & | pt | ) | const

bool wxRect2DInt::Contains | ( | const wxRect2DInt & | rect | ) | const

wxRect2DInt wxRect2DInt::CreateIntersection | ( | const wxRect2DInt & | otherRect | ) | const

wxRect2DInt wxRect2DInt::CreateUnion | ( | const wxRect2DInt & | otherRect | ) | const

wxInt32 wxRect2DInt::GetBottom | ( |  | ) | const

wxPoint2DInt wxRect2DInt::GetCentre | ( |  | ) | const

wxInt32 wxRect2DInt::GetLeft | ( |  | ) | const

wxPoint2DInt wxRect2DInt::GetLeftBottom | ( |  | ) | const

wxPoint2DInt wxRect2DInt::GetLeftTop | ( |  | ) | const

wxOutCode wxRect2DInt::GetOutCode | ( | const wxPoint2DInt & | pt | ) | const

wxOutCode wxRect2DInt::GetOutcode | ( | const wxPoint2DInt & | pt | ) | const

wxPoint2DInt wxRect2DInt::GetPosition | ( |  | ) | const

wxInt32 wxRect2DInt::GetRight | ( |  | ) | const

wxPoint2DInt wxRect2DInt::GetRightBottom | ( |  | ) | const

wxPoint2DInt wxRect2DInt::GetRightTop | ( |  | ) | const

wxSize wxRect2DInt::GetSize | ( |  | ) | const

wxInt32 wxRect2DInt::GetTop | ( |  | ) | const

bool wxRect2DInt::HaveEqualSize | ( | const wxRect2DInt & | rect | ) | const

void wxRect2DInt::Inset | ( | wxInt32 | x,
|  | wxInt32 | y
| ) |  |

void wxRect2DInt::Inset | ( | wxInt32 | left,
|  | wxInt32 | top,
|  | wxInt32 | right,
|  | wxInt32 | bottom
| ) |  |

wxPoint2DInt wxRect2DInt::Interpolate | ( | wxInt32 | widthfactor,
|  | wxInt32 | heightfactor
| ) |  |

static void wxRect2DInt::Intersect | ( | const wxRect2DInt & | src1,
|  | const wxRect2DInt & | src2,
|  | wxRect2DInt * | dest
| ) |  |

static

void wxRect2DInt::Intersect | ( | const wxRect2DInt & | otherRect | ) |

bool wxRect2DInt::Intersects | ( | const wxRect2DInt & | rect | ) | const

bool wxRect2DInt::IsEmpty | ( |  | ) | const

void wxRect2DInt::MoveBottomTo | ( | wxInt32 | n | ) |

void wxRect2DInt::MoveCentreTo | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::MoveLeftBottomTo | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::MoveLeftTo | ( | wxInt32 | n | ) |

void wxRect2DInt::MoveLeftTopTo | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::MoveRightBottomTo | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::MoveRightTo | ( | wxInt32 | n | ) |

void wxRect2DInt::MoveRightTopTo | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::MoveTopTo | ( | wxInt32 | n | ) |

void wxRect2DInt::Offset | ( | const wxPoint2DInt & | pt | ) |

bool wxRect2DInt::operator!= | ( | const wxRect2DInt & | rect | ) | const

wxRect2DInt& wxRect2DInt::operator= | ( | const wxRect2DInt & | rect | ) |

bool wxRect2DInt::operator== | ( | const wxRect2DInt & | rect | ) | const

void wxRect2DInt::Scale | ( | wxInt32 | f | ) |

void wxRect2DInt::Scale | ( | wxInt32 | num,
|  | wxInt32 | denum
| ) |  |

void wxRect2DInt::SetBottom | ( | wxInt32 | n | ) |

void wxRect2DInt::SetCentre | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::SetLeft | ( | wxInt32 | n | ) |

void wxRect2DInt::SetLeftBottom | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::SetLeftTop | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::SetRight | ( | wxInt32 | n | ) |

void wxRect2DInt::SetRightBottom | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::SetRightTop | ( | const wxPoint2DInt & | pt | ) |

void wxRect2DInt::SetTop | ( | wxInt32 | n | ) |

static void wxRect2DInt::Union | ( | const wxRect2DInt & | src1,
|  | const wxRect2DInt & | src2,
|  | wxRect2DInt * | dest
| ) |  |

static

void wxRect2DInt::Union | ( | const wxRect2DInt & | otherRect | ) |

void wxRect2DInt::Union | ( | const wxPoint2DInt & | pt | ) |

## Member Data Documentation

wxInt32 wxRect2DInt::m_height

wxInt32 wxRect2DInt::m_width

wxInt32 wxRect2DInt::m_x

wxInt32 wxRect2DInt::m_y